Bug 445097 - NetworkManager kills static networking [NEEDINFO]
NetworkManager kills static networking
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 13:36 EDT by Jeff Garzik
Modified: 2013-07-02 22:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:48:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcbw: needinfo? (jgarzik)


Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2008-05-03 13:36:07 EDT
Description of problem:
On a workstation where static networking was setup (at install time, via
standard anaconda methods), running NetworkManager downs and reconfigures an
active and working ethernet interface.  In my case, on a DHCP-enabled network,
the IP changed from 10.10.10.10 (static) to 10.10.10.219 (dynamic).

This caused all programs running over NFS-mounted filesystems (namely, my entire
desktop) to freeze.

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.7.svn3370.fc8

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 8 x86-64, configured with one ethernet interface (using
"e1000e" driver here locally)
2. Install all available updates
3. Login as normal user
4. open terminal, run NetworkManager via sudo

  
Actual results:
All network apps freeze.

Expected results:
Don't kill active and working network setup.


Additional info:
Comment 1 Dan Williams 2008-05-04 11:34:25 EDT
Hmm, 3370 should read connections from /etc/sysconfig/network-scripts instead of
the s-c-n profiles directory...  We switched that somewhere before 3370 since it
really did confuse people who don't use s-c-n.

Could you try latest NM koji version here?  That has quite a few fixes from the
F-9 cylce for system connections.

http://koji.fedoraproject.org/koji/buildinfo?buildID=47744

If that doesn't work, could you attach the ifcfg file from
/etc/sysconfig/network-scripts that you're using?
Comment 2 Bloks 2008-05-06 16:17:12 EDT
Hi!

I have the same problem. NetworkManager is owerwriting resolv.conf in /etc and /
etc/sysconfig/network-scripts/ifcfg-eth0.

Working static connection is broken. Now i disable NetworkManager service ang 
start service "Network". Static networ is now working corretly. But it solve 
tell me specialist. I`m newbie and in first six times installation give me 
problems ... BugReport Send is not working without Internet connection ...
Comment 3 Dan Williams 2008-05-08 14:34:27 EDT
Bloks: please update to the latest versions in either F9, rawhide, or
F8-updates-testing.  NM does not write to ifcfg-eth0; it only reads from it.  NM
should work with static IP and your ifcfg file.
Comment 4 Bloks 2008-05-10 14:06:14 EDT
Software updater (Package updater) reported - "There are no updated packages 
currently available for your system.".
Before (After new instalation Fedora8) Package updater sign me for many 
available packages. I click "Apply" button.
I mean - all updates is setting up. Its correcly?
Now i stopped service "Network" and started service "NetworkManager".
Before i set up file /etc/sysconfig/network-scripts/ifcfg-eth0 to "Read-Only" 
with root permissions.
Ok, contents of this file is not changed (im wrong in previous post), but /etc/
resolv.conf permissons is setting too ("Read-Only" with root permissions), this 
file content is erased ... (NM is very strong boy)
Now icon of NeworkManager signalized to normal connection, but in properties 
its have suspicious parameters:
IP address 169.254.76.219 (My network is static 198.162.1.1 ... 198.162.1.255)
Broadcast address 169.254.255.255 (Why its need?)
Subnet mask 255.255.0.0 (my subnet mask is 255.255.255.0)
Default route 0.0.0.0 (?!?!?)
Internet not working. Ping for another computers to Fedora is without answer.
Sorry - im revert configuration to previously, stopped NetworkManager, starting 
Network service and write Nameserver (my router address) in /etc/resolv.conf
Now Internet working and ping is ok.
Comment 5 Jeff Garzik 2008-06-12 22:24:27 EDT
I verified that this problem continues to exist in Fedora 9.
Comment 6 Dan Williams 2008-06-13 10:31:51 EDT
Jeff, can you test out the latest f9-testing packages?  They likely fix your
issue.  If I can get enough testing I'll push them to f9-updates:

yum --enablerepo=updates-testing upgrade NetworkManager*

or

https://admin.fedoraproject.org/updates/F9/FEDORA-2008-5017

let me know!
Comment 7 Stian Oksavik 2008-06-22 12:36:22 EDT
I'm experiencing the same issue, with the additional complication that since no
DHCP server is available on the relevant subnet, NetworkManager simply disables
the interface completely.

Dan, I read about your suggested fix and will attempt it the next time I'm
on-site (so that I can resurrect the server if it fails to work)
Comment 8 Bug Zapper 2008-11-26 05:37:50 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:48:16 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.